Get a tag from a tag group
curl --request GET \
--url https://openapi.pleo.io/v1/tag-groups/{tagGroupId}/tags/{tagId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.pleo.io/v1/tag-groups/{tagGroupId}/tags/{tagId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.pleo.io/v1/tag-groups/{tagGroupId}/tags/{tagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"tagGroupId": "0f0e000-000d-0d00-000b-00db0d000fae",
"attributeValues": [
{
"attributeId": "0f0e000-000d-0d00-000b-00db0d000fae",
"value": "<string>"
}
],
"displayOrder": 123,
"hidden": true
}{
"statusCode": 401,
"error": "Forbidden",
"message": "user_scope_insufficient"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "user_scope_insufficient"
}"route not found""Something went wrong. Please contact the administrator if problems persist."Tag Groups
Get a tag from a tag group
deprecated
This endpoint returns a specific tag with it’s attribute values for a specified tag group
GET
/
tag-groups
/
{tagGroupId}
/
tags
/
{tagId}
Get a tag from a tag group
Authorizations
Open API Bearer token
Path Parameters
Unique UUID of the tag group.
Example:
"0f0e000-000d-0d00-000b-00db0d000fae"
Unique UUID of the tag.
Example:
"0f0e000-000d-0d00-000b-00db0d000fae"
Response
Tag has been returned
This is the internal pleo identifier of the tag
Example:
"0f0e000-000d-0d00-000b-00db0d000fae"
This is the internal pleo identifier of the tag group this tag belongs to
Example:
"0f0e000-000d-0d00-000b-00db0d000fae"
These are the attributes and their values assigned to this tag
Show child attributes
Show child attributes
This is the display order position for this tag when displayed in a list.
This flag specifies if the tag is hidden and not visible for use in pleo when tagging expenses.
Was this page helpful?